<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="LearningStandardDocumentType">
    <xs:sequence>
      <xs:element name="Title" type="xs:normalizedString" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="RichDescription" minOccurs="0" nillable="true" type="AbstractContentElementType" />
      <xs:element name="Source">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="National" />
            <xs:enumeration value="State" />
            <xs:enumeration value="Regional" />
            <xs:enumeration value="District" />
            <xs:enumeration value="Site" />
            <xs:enumeration value="Classroom" />
            <xs:enumeration value="Publisher" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="Organizations" type="OrganizationsType" />
      <xs:element name="Authors" minOccurs="0" nillable="true" type="AuthorsType" />
      <xs:element name="OrganizationContactPoint" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="SubjectAreas" type="ACStrandAreaListType" />
      <xs:element name="DocumentStatus">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="Draft" />
            <xs:enumeration value="Adopted" />
            <xs:enumeration value="Archived" />
            <xs:enumeration value="Unknown" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="DocumentDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="LocalAdoptionDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="LocalArchiveDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="EndOfLifeDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="Copyright" minOccurs="0" nillable="true" type="CopyRightContainerType" />
      <xs:element name="YearLevels" minOccurs="0" nillable="true" type="YearLevelsType" />
      <xs:element name="RepositoryDate" minOccurs="0" nillable="true" type="xs:date" />
      <xs:element name="LearningStandardItemRefId" type="IdRefType" />
      <xs:element name="RelatedLearningStandards" minOccurs="0" nillable="true" type="LearningStandardsDocumentType" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="LearningStandardDocument" type="LearningStandardDocumentType">
    <xs:key name="LearningStandardDocumentKey1">
      <xs:selector xpath="./LearningStandardDocument" />
      <xs:field xpath="@RefId" />
    </xs:key>
  </xs:element>

  <xs:complexType name="LearningStandardDocumentCollectionType">
    <xs:sequence>
      <xs:element name="LearningStandardDocument" type="LearningStandardDocumentType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="LearningStandardDocuments" type="LearningStandardDocumentCollectionType" />

</xs:schema>